Devuan bug report logs - #211
plymouth requires systemd

Package: plymouth; Maintainer for plymouth is (unknown);

Reported by: Kristopher John Gamrat <gamrat.kristopher@gmail.com>

Date: Fri, 18 May 2018 19:03:01 UTC

Severity: normal

Done: KatolaZ <katolaz@freaknet.org>

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.devuan.org
Subject: bug#211: acknowledged by developer (wontfix)
Reply-To: Kristopher John Gamrat <gamrat.kristopher@gmail.com>, 211@bugs.devuan.org
Resent-From: Kristopher John Gamrat <gamrat.kristopher@gmail.com>
Resent-To: devuan-bugs@lists.dyne.org
Resent-CC: owner@bugs.devuan.org
Resent-Date: Tue, 29 May 2018 12:33:01 UTC
Resent-Message-ID: <handler.211.B211.15275964037673@bugs.devuan.org>
Resent-Sender: owner@bugs.devuan.org
X-Devuan-PR-Message: report 211
X-Devuan-PR-Package: plymouth
X-Devuan-PR-Keywords: 
Received: via spool by 211-submit@bugs.devuan.org id=B211.15275964037673
          (code B ref 211); Tue, 29 May 2018 12:33:01 UTC
Received: (at 211) by bugs.devuan.org; 29 May 2018 12:20:03 +0000
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Tue, 29 May 2018 14:20:02 +0200 (CEST)
Received: from mail-qt0-f193.google.com (mail-qt0-f193.google.com [209.85.216.193])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id CED1AF60980
	for <211@bugs.devuan.org>; Tue, 29 May 2018 14:18:43 +0200 (CEST)
Authentication-Results: vm6.ganeti.dyne.org;
	dkim=pass (2048-bit key; unprotected) header.d=gmail.com header.i=@gmail.com header.b="Qb8t+WB7";
	dkim-atps=neutral
Received: by mail-qt0-f193.google.com with SMTP id i18-v6so7604331qtp.12
        for <211@bugs.devuan.org>; Tue, 29 May 2018 05:16:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20161025;
        h=from:to:subject:date:user-agent:references:in-reply-to
         :disposition-notification-to:language:content-language:sensitivity
         :comments:generate-delivery-report:disclose-recipients
         :alternate-recipient:mime-version:content-transfer-encoding
         :message-id;
        bh=zM75i7RcpAwY8lCdPPGtwb1hnQ4ucCmrk3PvtVGikV0=;
        b=Qb8t+WB7WwscnwG35GyVn6GMZlR/TJhCYejRbhnMPuAWgyuRjr8dcxF4bp+1d77hl9
         WUlUVADOjQvJZ/3ZHVBT7DR0xwaWQgkKXea692BgK2/Zkdx2Am+LTSw6JlPew3c+RB2+
         yoav1XNhc1XrSNxQZlbHwrNy/GvkPaemko7YQi0oKbKVbRKwpZYjjUbSqho2/i55KsXJ
         yc8+gPLXEx6CismSJoAUAbtMAaOA47OfLwFb8MM7/GXuua4KmHzZW52WTw4UtkbIUFr9
         TWvtYWOlHpAdNQgAWk5hHuuPJNP0tnDRODMk8DiuLgNzMMGwXYcom+hOmIZuflr8ASNE
         WALw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=1e100.net; s=20161025;
        h=x-gm-message-state:from:to:subject:date:user-agent:references
         :in-reply-to:disposition-notification-to:language:content-language
         :sensitivity:comments:generate-delivery-report:disclose-recipients
         :alternate-recipient:mime-version:content-transfer-encoding
         :message-id;
        bh=zM75i7RcpAwY8lCdPPGtwb1hnQ4ucCmrk3PvtVGikV0=;
        b=Pb/CN3GlfANnqQcvcFrZ8itUnEqXiwEUtF4SDxDUm6ADadg8whDIRMJAZNQKMGT9sM
         qRRdsZCaJP5jXWNrObmlzZEStORZQjVQKqZIma3nzD1uIPtj8H6qHIP7V9tbT9Vvrbpb
         4sERbT6DU44YDDan2OExssL1zZ7dE6uAcVbc+iSYgx4No3sGaJUo3GvHLiqf3LUPZLdh
         b+keIE1pLaTTQHlTarN1LVXCoaZR6NVGGDvpSFURc4/jz+Ttasb3jXyhVW7aw2HAfW3c
         e9LPqrxV3r+JmAt2AisNUyoAMBYVUpzWP4Ta5BL+GshQgkV3mUBNb1evgsP1qz5ZLQqs
         Rl7g==
X-Gm-Message-State: ALKqPweGl1EEwd6KIPsjsyrLA/qGvceLNeqpLf4+rqYEb35LJO/iNGtU
	VP3KQRx4/fYtuCglFOUmtjajLw==
X-Google-Smtp-Source: ADUXVKJxMaXDO2CNi5Vpx+GCdlaaF98fPEgo6hs6VQC8yZiH07UnqCxRlRavJMDzKcrVRa8of7Fv2w==
X-Received: by 2002:ac8:2825:: with SMTP id 34-v6mr7090270qtq.377.1527596203497;
        Tue, 29 May 2018 05:16:43 -0700 (PDT)
Received: from printers (pool-100-6-8-131.pitbpa.fios.verizon.net. [100.6.8.131])
        by smtp.gmail.com with ESMTPSA id x14-v6sm4698349qtk.33.2018.05.29.05.16.42
        for <211@bugs.devuan.org>
        (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
        Tue, 29 May 2018 05:16:42 -0700 (PDT)
From: Kristopher John Gamrat <gamrat.kristopher@gmail.com>
To: 211@bugs.devuan.org
Date: Tue, 29 May 2018 08:16:25 -0400
User-Agent: If you really need to know, you can ask.
References: <20180529111831.une2zi2voyt57uqx@katolaz.homeunix.net> <201805181459.47720.gamrat.kristopher@gmail.com> <handler.211.D211.15275928036249.notifdone@bugs.devuan.org>
In-Reply-To: <handler.211.D211.15275928036249.notifdone@bugs.devuan.org>
X-KMail-QuotePrefix: > 
Disposition-Notification-To: Kristopher John Gamrat <gamrat.kristopher@gmail.com>
Language: en
Content-Language: en
Sensitivity: Private
Comments: As a matter of privacy, this message should be kept private unless otherwise agreed upon by the sender and all recipients.
Generate-Delivery-Report: Yes
Disclose-Recipients: prohibition
Alternate-Recipient: prohibition
X-No-Archive: Yes
MIME-Version: 1.0
Content-Type: multipart/signed;
  boundary="nextPart4042262.XxFG8KmrM2";
  protocol="application/pgp-signature";
  micalg=pgp-sha1
Content-Transfer-Encoding: 7bit
Message-Id: <201805290816.37085.gamrat.kristopher@gmail.com>
X-Spam-Status: No, score=2.9 required=5.0 tests=DKIM_SIGNED,DKIM_VALID,
	DKIM_VALID_AU,FREEMAIL_FROM,HEADER_SPAM,RCVD_IN_DNSWL_NONE,RCVD_IN_MSPIKE_H3,
	RCVD_IN_MSPIKE_WL,RCVD_IN_SORBS_SPAM,SPF_PASS autolearn=disabled version=3.4.1
X-Spam-Level: **
X-Spam-Checker-Version: SpamAssassin 3.4.1 (2015-04-28) on tupac3.dyne.org
[Message part 1 (text/plain, inline)]
---------------------> PLEASE REPLY BELOW THIS MESSAGE <---------------------
From: Kristopher John Gamrat
To: 211@bugs.devuan.org
CC: 
Date: Tuesday 29 May 2018, 08:08:21 am
Subject: Re: bug#211 acknowledged by developer (wontfix)

On Tuesday 29 May 2018 at 07:33:07 am, Devuan bug Tracking System wrote:
> This is an automatic notification regarding your bug report
> #211: plymouth requires systemd,
> which was filed against the plymouth package.
>
> It has been closed by one of the developers, namely
> KatolaZ <katolaz@freaknet.org>.
>
> Their explanation is attached below.  If this explanation is
> unsatisfactory and you have not received a better one in a separate
> message then please contact the developer, by replying to this email.
>
> Devuan Bugs Owner
> (administrator, Devuan bugs database)
>
> Received: (at 211-done) by bugs.devuan.org; 29 May 2018 11:20:03 +0000
> Return-Path: <katolaz@freaknet.org>
> Delivered-To: devuanbugs@dyne.org
> Received: from tupac3.dyne.org [195.169.149.119]
> 	by fulcanelli with IMAP (fetchmail-6.3.26)
> 	for <debbugs@localhost> (single-drop); Tue, 29 May 2018 13:20:03 +0200
> (CEST) Received: from [127.0.0.1] (localhost [127.0.0.1])
> 	(Authenticated sender: katolaz@freaknet.org)
> 	with ESMTPSA id 0FBBDF604B9
> Date: Tue, 29 May 2018 13:18:31 +0200
> From: KatolaZ <katolaz@freaknet.org>
> To: 211-done@bugs.devuan.org
> Subject: wontfix
> Message-ID: <20180529111831.une2zi2voyt57uqx@katolaz.homeunix.net>
> MIME-Version: 1.0
> Content-Type: multipart/signed; micalg=pgp-sha1;
> 	protocol="application/pgp-signature"; boundary="r3a5w3ubu5wnnlpq"
> Content-Disposition: inline
> User-Agent: NeoMutt/20170113 (1.7.2)
> X-Spam-Status: No, score=-1.0 required=5.0 tests=ALL_TRUSTED
> 	autolearn=disabled version=3.4.1
> X-Spam-Checker-Version: SpamAssassin 3.4.1 (2015-04-28) on tupac3.dyne.org
>
>
> --r3a5w3ubu5wnnlpq
> Content-Type: text/plain; charset=us-ascii
> Content-Disposition: inline
>
> Closing this one, since plymouth directly depends on systemd, and the
> package is banned (it's not present) in Devuan repos. The only way to
> install plymouth seems to use a distro based on systemd.
>
> --r3a5w3ubu5wnnlpq
> Content-Type: application/pgp-signature; name="signature.asc"
>
> -----BEGIN PGP SIGNATURE-----
>
> iF0EABECAB0WIQSOWdaqRF79tKFTPVpfILOuC18GLwUCWw03BgAKCRBfILOuC18G
> LxeOAJwIBBfdUAoxZ+C0dPCKlRUgewhFSACfYIyPl7tbp8tu/aOPIjbdEOQsGs0=
> =Muw6
> -----END PGP SIGNATURE-----
>
> --r3a5w3ubu5wnnlpq--

Plymouth does not appear to be banned from Devuan's repositories. On a system 
with Devuan Jessie, I am able to install Plymouth without any dependency 
issues despite not having systemd present, and it appears to run perfectly 
with the default init system (SystemV, I believe) in Jessie. Furthermore, I 
get the following output when searching for plymouth on Devuan Ascii (I did 
do an `apt-get update` immediately prior to be sure it was correct):


root@Printers:~# apt-cache search plymouth
libplymouth-dev - graphical boot animation and logger - development files
libplymouth4 - graphical boot animation and logger - shared libraries
plymouth - boot animation, logger and I/O multiplexer
plymouth-themes - boot animation, logger and I/O multiplexer - themes
plymouth-x11 - boot animation, logger and I/O multiplexer - X11 renderer
plymouth-theme-hamara - boot animation, logger and I/O multiplexer - Hamara 
theme


If plymouth was changed upstream to require systemd (rather than by Debian or 
Devuan packagers despite not actually being required), I am not opposed to 
removing it from the Devuan repos, but it clearly isn't banned (yet) if I am 
able to search it and attempt install.

-- 
Kristopher Gamrat
Jabber ID: chaotickjg@jabber.org
My OpenPGP Key Fingerprints:
CBB4 4C0B 7794 F668 D486 9B68 02C0 8EE2 7F03 0E92

May you be blessed by Our Holy Glob the FSM.

----------------------------- FRIENDLY REMINDER -----------------------------

> On Tuesday, January 02, 2666 at 12:02:46 PM, Kris said:
> > 
> > On Monday, January 01, 2666 at 13:13:13 PM, Kris' Evil Twin said:
> > > 
> > > Why do you want me to reply below quotes?
> > 
> > > On Sunday, December 31, 2665 at 10:32:46 AM, Kris said:
> > > > 
> > > > Please reply below quotes.
> > > > 
> > Because:
> >  * it helps avoid confusing email quotes like this example
> >  * it makes it easier to match the quote dates to the quotes
> >  * it makes it easier for us to truncate quotes without messing up the
> >    quote dates or the ordering of the quotes
> >  * it makes it easier for the me to see what you are replying to (because
> >    it's the very first thing I see in your message)
> >  * it makes it easier for me to reference the quote of your message when I
> >    am typing my reply (because it's the last thing in your message and
> >    immediately above where my email client has me type my message)
> > 
> > Thank you for understanding.
> > 

---------------------> PLEASE REPLY BELOW THIS MESSAGE <---------------------
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Thu Oct 22 23:55:23 2020;